# Yelp Search API

|                            Parameters                            |                                                                                                                                      Description                                                                                                                                      |
| :--------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|  <p>api\_key<br><br><mark style="color:red;">required</mark></p> |                                                                                                                                 This is your API key.                                                                                                                                 |
|                            find\_desc                            |                                                                                                         <p>Type: <code>String</code><br><br>The query you want to search.</p>                                                                                                         |
| <p>find\_loc<br><br><mark style="color:red;">required</mark></p> |                                                 <p>Type: <code>String</code><br><br>The location you want to target to scrape the search results.<br><br>For example:</p><p> - San Francisco, CA<br>- New York, NY, United States</p>                                                 |
|                                 l                                |                                                                                     <p>Type: <code>String</code></p><p></p><p>The distance or map radius you want to get search results from.</p>                                                                                     |
|                           yelp\_domain                           |                                                                                         <p>Type: <code>String</code></p><p></p><p>The domain you want to use to scrape the search results.</p>                                                                                        |
|                               cflt                               |                                                                                      <p>Type: <code>String</code></p><p></p><p>It is used to define the category of search results you want.</p>                                                                                      |
|                              sortby                              | <p>Type: <code>String</code></p><p></p><p>It is used for sorting the result.<br><br><mark style="color:red;">recommended</mark> - Recommended(default)<br><mark style="color:red;">rating</mark> - Highest rated<br><mark style="color:red;">review\_count</mark> - Most reviewed</p> |
|                               attrs                              |                                                               <p>Type: <code>String</code></p><p></p><p>It is used for refining the search results according to the value you pass in <code>attrs</code> parameter.</p>                                                               |
|                               start                              |                                    <p>Type: <code>Number(Integer)</code><br><code>\[0,10,20....]</code><br><br>Default: <code>0</code><br>(Enter 10 for 2nd-page results, 20 for 3rd, etc .)<br>The page number to get targeted search results.</p>                                   |

**Note: Each Yelp API call would cost you 4 request credits.**

### API Example:

{% tabs %}
{% tab title="cURL" %}

```json
cURL "https://api.serpdog.io/yelp?api_key=APIKEY&find_desc=burger&find_loc=San+Francisco,CA"
```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

axios.get('https://api.serpdog.io/yelp?api_key=APIKEY&find_desc=burger&find_loc=San+Francisco,CA')
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'api_key': 'APIKEY', 'find_desc':'burger' , 'find_loc':'San+Francisco,CA'}
resp = requests.get('https://api.serpdog.io/yelp?', params=payload)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
try {
 String url = "https://api.serpdog.io/yelp?api_key=APIKEY&find_desc=burger&find_loc=San+Francisco,CA";
 URL urlForGetRequest = new URL(url);
 String readLine = null;
 HttpURLConnection conection = (HttpURLConnection) urlForGetRequest.openConnection();
 conection.setRequestMethod("GET");
 int responseCode = conection.getResponseCode();
 if (responseCode == HttpURLConnection.HTTP_OK) {
 BufferedReader in = new BufferedReader(new InputStreamReader(conection.getInputStream()));
 StringBuffer response = new StringBuffer();
 while ((readLine = in.readLine()) != null) {
 response.append(readLine);
 }
 in.close();
 System.out.println(response.toString());
} else {
 throw new Exception("Error in API Call");
 }
} catch (Exception ex) {
 ex.printStackTrace();
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'
params = {
 :api_key => "APIKEY",
 :find_desc => "burger",
 :find_loc => "San+Francisco,CA"
}
uri = URI('https://api.serpdog.io/yelp')
uri.query = URI.encode_www_form(params)
website_content = Net::HTTP.get(uri)
print(website_content)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "https://api.serpdog.io/yelp?api_key=APIKEY&find_desc=burger&find_loc=San+Francisco,CA";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
print_r($response);
```

{% endtab %}
{% endtabs %}

```json
{
  "meta": {
    "api_key": "APIKEY",
    "find_desc": "burger",
    "find_loc": "San Francisco,CA"
  },
  "filters": [
    {
      "title": "Suggested",
      "options": [
        {
          "text": "Open Now --:--"
        },
        {
          "text": "Offers Delivery"
        },
        {
          "text": "Offers Takeout"
        },
        {
          "text": "Reservations"
        },
        {
          "text": "Good for Late Night"
        },
        {
          "text": "Good for Lunch"
        }
      ]
    },
    {
      "title": "Category",
      "options": [
        {
          "text": "Burgers"
        },
        {
          "text": "Restaurants"
        },
        {
          "text": "Food"
        },
        {
          "text": "Bars"
        }
      ]
    },
    {
      "title": "Features",
      "options": [
        {
          "text": "Good for Groups"
        },
        {
          "text": "Good for Kids"
        },
        {
          "text": "Has TV"
        },
        {
          "text": "Outdoor Seating"
        }
      ]
    },
   .......
  ],
  "inline_ads": [
    {
      "title": "Taco Bell",
      "reviews": 62,
      "categories": "Mexican, Burgers, Fast Food",
      "button": {
        "text": "Get Directions",
        "link": "https://www.yelp.comundefined"
      },
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/R0iAVJts7YbmzyIs4RUfAg/348s.jpg"
    },
    {
      "title": "Cable 55",
      "reviews": 55,
      "categories": "Bars, American (Traditional)",
      "button": {
        "text": "View Business",
        "link": "https://www.yelp.comundefined"
      },
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/ISAUPq350-dm3Pqe4AyKIA/348s.jpg"
    },
    {
      "title": "Brazen Head",
      "reviews": 843,
      "categories": "Gastropubs, Steakhouses, Bars",
      "button": {
        "text": "Order Now",
        "link": "https://www.yelp.comundefined"
      },
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/dfHykLty5vvb66l4Utxd6A/348s.jpg"
    }
  ],
  "results": [
    {
      "title": "Uncle Boy’s",
      "rating": 4,
      "reviews": 740,
      "snippet": "“Really disappointed in this spot. 4 star burger joint, what could possibly go wrong?” more",
      "price": "$",
      "neighbourhood": "Inner Richmond",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/qYAqCmJ21xBKa1skFoSRXA/348s.jpg",
      "address": "245 Balboa St, San Francisco, CA 94118",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Fast Food",
          "link": "https://www.yelp.com/search?find_desc=Fast+Food&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.7772493,
        "longitude": -122.4615654
      },
      "slug": "uncle-boys-san-francisco",
      "biz_id": "fZvOxrSLjw39vkYyA466YA",
      "phone_no": "(415) 742-4468"
    },
    {
      "title": "WesBurger ‘N’ More",
      "rating": 4,
      "reviews": 733,
      "snippet": "“I'm not much of a burger fan, but my friend and I decided to try WesBurger after the launching of my...” more",
      "price": "$$",
      "neighbourhood": "Mission",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/c3kfueXWqy6T2DeWNRmCaQ/348s.jpg",
      "address": "2240 Mission St, San Francisco, CA 94110",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.761198586981,
        "longitude": -122.419501330688
      },
      "slug": "wesburger-n-more-san-francisco",
      "biz_id": "tjflPf7MTPmSgau-b8CN3A",
      "phone_no": "(415) 745-9371"
    },
    {
      "title": "Super Duper Burgers",
      "rating": 4,
      "reviews": 1424,
      "snippet": "“Super Burger has to be one of the best burger joint in the Pasadena area.” more",
      "price": "$$",
      "neighbourhood": "Duboce Triangle",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/64dBM81LkGzVn7rmd4_ROQ/348s.jpg",
      "address": "2304 Market St, San Francisco, CA 94114",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "American (Traditional)",
          "link": "https://www.yelp.com/search?find_desc=American+%28Traditional%29&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.7640394,
        "longitude": -122.4337128
      },
      "slug": "super-duper-burgers-san-francisco-4",
      "biz_id": "hXeusGZQvH5oMxaR6XgYwA",
      "phone_no": "(415) 558-8123"
    },
    {
      "title": "Roam Artisan Burgers",
      "rating": 4,
      "reviews": 1343,
      "snippet": "“We each ordered a build your own burger and the fry-fecta to share. Our food came pretty quickly...” more",
      "price": "$$",
      "neighbourhood": "Lower Pacific Heights",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/WWc1dK4hMO6knOQe-y_6yg/348s.jpg",
      "address": "1923 Fillmore St, San Francisco, CA 94115",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.7876976,
        "longitude": -122.4338936
      },
      "slug": "roam-artisan-burgers-san-francisco-3",
      "biz_id": "4eaK2-Q0dEXWMr5SOoV_Sg",
      "phone_no": "(415) 800-7801"
    },
    {
      "title": "Pearl’s Deluxe Burgers",
      "rating": 4,
      "reviews": 2393,
      "snippet": "“burgers all over the northern hemisphere and was indoctrinated to Solly's hamburgers in Milwaukee at...” more",
      "price": "$$",
      "neighbourhood": "Lower Nob Hill",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/vebo1A6MXgBqH97O_uKBsA/348s.jpg",
      "address": "708 Post St, San Francisco, CA 94109",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.787823,
        "longitude": -122.413699
      },
      "slug": "pearls-deluxe-burgers-san-francisco-3",
      "biz_id": "TRBP1G1l8vZkjgfqdx96Cw",
      "phone_no": "(415) 409-6120"
    },
    {
      "title": "Blind Butcher",
      "rating": 4,
      "reviews": 219,
      "snippet": "“The other 3 of us got the wagyu burger. This burger was the worst burger I've ever had.” more",
      "price": "$$",
      "neighbourhood": "Castro",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/terA1TMU558qeO1YhFKwcg/348s.jpg",
      "address": "4058 18th St, San Francisco, CA 94114",
      "categories": [
        {
          "title": "American (New)",
          "link": "https://www.yelp.com/search?find_desc=American+%28New%29&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Wine Bars",
          "link": "https://www.yelp.com/search?find_desc=Wine+Bars&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.7611284,
        "longitude": -122.4340945
      },
      "slug": "blind-butcher-san-francisco-2",
      "biz_id": "ZSzXw0NgJTyOzcHwKY5eMA",
      "phone_no": "(415) 529-2478"
    },
    {
      "title": "Calibur",
      "rating": 4,
      "reviews": 523,
      "snippet": "“I'm a huge burger fan but I'm a picky one. The meat to fat ratio needs to be just right, and the...” more",
      "price": "$$",
      "neighbourhood": "West Portal",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/3BPqbc3cIrBJBnPHJrPw4A/348s.jpg",
      "address": "68 W Portal Ave, San Francisco, CA 94127",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "American (Traditional)",
          "link": "https://www.yelp.com/search?find_desc=American+%28Traditional%29&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Delivery",
        "Takeout"
      ],
      "coordinates": {
        "latitude": 37.7402436,
        "longitude": -122.4668701
      },
      "slug": "calibur-san-francisco",
      "biz_id": "UTjgPLk9RYjWudG3GSqsTQ",
      "phone_no": "(415) 742-4931"
    },
   ....
  ],
  "sponsored_results": [
    {
      "title": "Taco Bell",
      "snippet": "“I just wanted to provide an update on how this particular franchise continues to impress me. Case in point: A week ago, I came here to purchase some chicken and tacos. As I was…” more",
      "neighbourhood": "Tenderloin",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/Q65XP3G5V4flThBbplHizg/348s.jpg",
      "categories": [
        {
          "title": "Burgers",
          "link": "https://www.yelp.com/search?find_desc=Burgers&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Fast Food",
          "link": "https://www.yelp.com/search?find_desc=Fast+Food&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Mexican",
          "link": "https://www.yelp.com/search?find_desc=Mexican&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Delivery",
        "Takeout"
      ]
    },
    {
      "title": "Brazen Head",
      "reviews": "843",
      "snippet": "“The Brazen Head is by far our favorite neighborhood spot. Whether we stop by for a drink after eating/drinking elsewhere or come to get dinner, its always perfect. Great bartenders and wonderful restaurant…” more",
      "neighbourhood": "Marina/Cow Hollow",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/dfHykLty5vvb66l4Utxd6A/348s.jpg",
      "highlights": [
        "undefined42 years in business",
        "undefinedFull bar"
      ],
      "categories": [
        {
          "title": "Bars",
          "link": "https://www.yelp.com/search?find_desc=Bars&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Steakhouses",
          "link": "https://www.yelp.com/search?find_desc=Steakhouses&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Gastropubs",
          "link": "https://www.yelp.com/search?find_desc=Gastropubs&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ]
    },
    {
      "title": "Tratto",
      "reviews": "655",
      "snippet": "“I came here on my own one night just because it was right around the corner of the place I was staying. Not really expecting much but was interested in trying the pasta. I asked my…” more",
      "neighbourhood": "Tenderloin",
      "thumbnail": "https://s3-media0.fl.yelpcdn.com/bphoto/f-RgcXHdX7IOjaG4pbLusg/348s.jpg",
      "categories": [
        {
          "title": "Wine Bars",
          "link": "https://www.yelp.com/search?find_desc=Wine+Bars&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Italian",
          "link": "https://www.yelp.com/search?find_desc=Italian&find_loc=San+Francisco%2C+CA"
        },
        {
          "title": "Cocktail Bars",
          "link": "https://www.yelp.com/search?find_desc=Cocktail+Bars&find_loc=San+Francisco%2C+CA"
        }
      ],
      "service_options": [
        "Outdoor seating",
        "Delivery",
        "Takeout"
      ]
    }
  ],
  "serpdog_pagination": {
    "next": "https://api.serpdog.io/yelp?api_key=APIKEY&find_desc=burger&find_loc=San+Francisco%2CCA&start=10",
    "total_pages": 24
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.serpdog.io/yelp-search-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
